Subject: Re: [RESEND, tip/locking/core, v5, 1/6] powerpc: atomic: Make _return atomics and *{cmp}xchg fully ordered

From: Will Deacon <[email-masked]>
Date: Wed, 4 Nov 2015 10:15:19 +0000

On Wed, Nov 04, 2015 at 09:22:13AM +0800, Boqun Feng wrote:
> Will, AFAIK, you are currently working on variants on arm64, right? I
> wonder whether you depend on patch 3 (allow archictures to provide
> self-defined __atomic_op_*), if so I can also send patch 3 as a patch
> for tip tree and wait until it merged into powerpc next to send the
> rest. 

The arm64 patches are all queued in the arm64 tree and have been sitting
in -next for a while. They don't dependent on anything else.

Will